Package com.arms.api.analysis.topmenu.service

## Class TopMenuServiceImpl

- java.lang.Object
- - com.arms.api.analysis.topmenu.service.TopMenuServiceImpl

- All Implemented Interfaces:
    `TopMenuService`

      @Service
      public class TopMenuServiceImpl
      extends java.lang.Object
      implements TopMenuService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopMenuServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReqStatusCountVO` | `analysisTopMenuReqStatusSummary​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `TopMenuVO` | `getTopMenuData​(java.lang.String changeReqTableName, TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `ReqAndSubtaskByAssigneeTotalVO` | `topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `ReqAndIssueTotalCountVO` | `topMenuTotalCountWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `VersionPeriodVO` | `topMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopMenuServiceImpl

          public TopMenuServiceImpl()

  - ### Method Detail

    - #### getTopMenuData

          public TopMenuVO getTopMenuData​(java.lang.String changeReqTableName,
                                          TopMenuAnalysisDTO topMenuAnalysisDTO)
                                   throws java.lang.Exception

      Specified by:
        `getTopMenuData` in interface `TopMenuService`
      Throws:
        `java.lang.Exception`

    - #### analysisTopMenuReqStatusSummary

          public ReqStatusCountVO analysisTopMenuReqStatusSummary​(java.lang.String changeReqTableName,
                                                                  java.lang.Long pdServiceId,
                                                                  java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                           throws java.lang.Exception

      Specified by:
        `analysisTopMenuReqStatusSummary` in interface `TopMenuService`
      Throws:
        `java.lang.Exception`

    - #### topMenuTotalCountWithReqAndSubtask

          public ReqAndIssueTotalCountVO topMenuTotalCountWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)

      Specified by:
        `topMenuTotalCountWithReqAndSubtask` in interface `TopMenuService`

    - #### topMenuResourceInfoWithReqAndSubtask

          public ReqAndSubtaskByAssigneeTotalVO topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                              throws java.lang.Exception

      Specified by:
        `topMenuResourceInfoWithReqAndSubtask` in interface `TopMenuService`
      Throws:
        `java.lang.Exception`

    - #### topMenuVersionPeriod

          public VersionPeriodVO topMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                               throws java.lang.Exception

      Specified by:
        `topMenuVersionPeriod` in interface `TopMenuService`
      Throws:
        `java.lang.Exception`